#!/bin/bash
#

# Scans for log files, gathers information for the .info file, renames the 
# original backup archive, and removed the open dir. and log file

cd /backups

for i in *.log; do
 dname=`echo $i|cut -d\_ -f1`

 date=`cat $dname/backup.date`
 type=`echo $i|cut -d\_ -f2|cut -d\. -f1`
 if test -f $dname/backup_comment.txt; then
  comment=`cat $dname/backup_comment.txt`; fi

 if test $type = "all"; then
  dtype="Full Backup"
 elif test $type = "pin"; then
  dtype="Swivel Backup"; fi

 echo "DATE=$date" > $dname.info 
 echo "TYPE=$dtype" >> $dname.info 
 if test -f $dname/backup_comment.txt; then
  echo "COMMENT=$comment" >> $dname.info; fi

 if test $type = "all"; then
  fname="`echo $dname`_full.tar.gz"
  mv $fname $dname.tar.gz; fi

  rm -rf $dname $1
done
